sachs.effectsplot<-function() {
  pdf(file='effects.pdf',width=6,height=6)
  T<-c()
  for ( b in 1:100) {
    Si <- sachsdata(resample=TRUE)
    for ( ex in 3:6 ) {
      T<-c(T,S$Tvec[[ex]][!is.na(S$Tvec[[ex]])])
    }
  }

  hist(abs(T),breaks=50,main='Bootstrapped experimental effects')
  dev.off()
  #so the limit for independence could be 0.1
  #limit for dependence could be 0,2
}