test.sampling<-function(I=1:30) {
  #Conducts the test for the paper with sampled covariance data.
  #INPUT:
  # I           - Indexes/seeds for the models used.

  for ( i in I ) {
    for (ec in seq(from= 2, to=30, by=2) ) {
      set.seed(i);
      M<-randomModel(10,confounders=ec,edges=ec );
      #this defines the model
      for ( maxi in c(1,3) ) {
        for ( irules in c(1,2,3) ) {
          if( irules == 1 ) {
            rules <- c()
          } else if ( irules == 2 ) {
            rules <- c(1)
          } else if ( irules == 3 ) {
            rules <- c(1,2,3)
          }
          filename=paste('sampling/M',ec,'_',i,'_',maxi,'_',irules,'.Rdata',sep='')

          R<-runinference.sampling( M, maxn=maxi, rules=rules )

          save(R,file=filename)
          cat('saved:',filename,'\n')
       }
      }
    }#for ec
  }#for i
}